package com.sckw.core.model.enums;

/**
 * @Description 登录类型枚举
 * @Author zk
 * @Date 2020/06/15
 */
public enum LoginMethodEnum {
    ORDINARY(1, "账号密码登录"),
    SMS(2,  "短信登录"),
    ACCOUNT(3,  "账号登录");

    private int value;

    private String name;

    /**
     * @description 构造方法
     * @author zk
     * @date 2020/6/08 11:28
     * @param value 键 name 值
     * @return
     **/
    private LoginMethodEnum(int value, String name){
        this.name = name;
        this.value = value;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}